> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /new_york/companies/search

> Search New York business entities in the NY Department of State Corporation & Business Entity Database by name or DOS ID. Returns matching entities with DOS ID, name, company type and status, type category, name type, assumed name and assumed-name ID, non-qualified ID, jurisdiction, county and initial filing date.

**Price:** 1 credit per 50 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/new_york/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/new_york/companies/search:
    post:
      tags:
        - US
      summary: /new_york/companies/search
      description: >-
        Search New York business entities in the NY Department of State
        Corporation & Business Entity Database by name or DOS ID. Returns
        matching entities with DOS ID, name, company type and status, type
        category, name type, assumed name and assumed-name ID, non-qualified ID,
        jurisdiction, county and initial filing date.


        **Price:** 1 credit per 50 results
      operationId: __api_new_york_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewYorkCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NewYorkSearchItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NewYorkCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        search_by:
          $ref: '#/components/schemas/NewYorkSearchByType'
          default: EntityName
        match:
          $ref: '#/components/schemas/NewYorkSearchExpression'
          default: BeginsWith
        status:
          $ref: '#/components/schemas/NewYorkEntityStatus'
          default: AllStatuses
        entity_types:
          items:
            $ref: '#/components/schemas/NewYorkEntityType'
          type: array
          default:
            - Corporation
            - LimitedLiabilityCompany
            - LimitedPartnership
            - LimitedLiabilityPartnership
      type: object
      required:
        - query
        - count
    NewYorkSearchItem:
      properties:
        '@type':
          type: string
          default: NewYorkSearchItem
        dos_id:
          type: string
        name:
          type: string
        company_type:
          anyOf:
            - type: string
            - type: 'null'
        entity_status:
          anyOf:
            - type: string
            - type: 'null'
        company_type_category:
          anyOf:
            - type: string
            - type: 'null'
        name_type:
          anyOf:
            - type: string
            - type: 'null'
        assumed_name:
          anyOf:
            - type: string
            - type: 'null'
        assumed_name_id:
          anyOf:
            - type: string
            - type: 'null'
        non_qualified_id:
          anyOf:
            - type: string
            - type: 'null'
        jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        initial_filing_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - dos_id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NewYorkSearchByType:
      type: string
      enum:
        - EntityName
        - DOSID
        - AssumedName
        - AssumedNameID
    NewYorkSearchExpression:
      type: string
      enum:
        - BeginsWith
        - Contains
    NewYorkEntityStatus:
      type: string
      enum:
        - AllStatuses
        - Active
        - Inactive
        - Suspended
    NewYorkEntityType:
      type: string
      enum:
        - Corporation
        - LimitedLiabilityCompany
        - LimitedPartnership
        - LimitedLiabilityPartnership
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````